VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::networking::dns::DomainsStub Class Reference

Remote stub implementation of the Domains API service. More...

Inherits vmware::appliance::networking::dns::Domains.

List of all members.

## Public Member Functions
| DomainsStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Add (string domain)
| Add domain to DNS search domains.
void | Add (string domain, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add domain to DNS search domains.
global::System.Threading.Tasks.Task | AddAsync (string domain)
| Add domain to DNS search domains.
global::System.Threading.Tasks.Task | AddAsync (string domain, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add domain to DNS search domains.
void | Set (global::System.Collections.Generic.List< string > domains)
| Set DNS search domains.
void | Set (global::System.Collections.Generic.List< string > domains, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set DNS search domains.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< string > domains)
| Set DNS search domains.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< string > domains, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set DNS search domains.
global::System.Collections.Generic.List < string > | List ()
| Get list of DNS search domains.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get list of DNS search domains.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Get list of DNS search domains.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get list of DNS search domains.

## Detailed Description

Remote stub implementation of the Domains API service.

## Constructor & Destructor Documentation

vmware::appliance::networking::dns::DomainsStub::DomainsStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::appliance::networking::dns::DomainsStub::Add | ( | string | domain | ) | `[inline]`

Add domain to DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domain | Domain to add.

Implements vmware::appliance::networking::dns::Domains.

void vmware::appliance::networking::dns::DomainsStub::Add | ( | string | domain,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Add domain to DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domain | Domain to add.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::networking::dns::Domains.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::DomainsStub::AddAsync | ( | string | domain,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Add domain to DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domain | Domain to add.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::networking::dns::Domains.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::DomainsStub::AddAsync | ( | string | domain | ) | `[inline]`

Add domain to DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domain | Domain to add.

Implements vmware::appliance::networking::dns::Domains.

global::System.Collections.Generic.List<string> vmware::appliance::networking::dns::DomainsStub::List | ( |  | ) | `[inline]`

Get list of DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of domains.

Implements vmware::appliance::networking::dns::Domains.

global::System.Collections.Generic.List<string> vmware::appliance::networking::dns::DomainsStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get list of DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of domains.

Implements vmware::appliance::networking::dns::Domains.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::appliance::networking::dns::DomainsStub::ListAsync | ( |  | ) | `[inline]`

Get list of DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of domains.

Implements vmware::appliance::networking::dns::Domains.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::appliance::networking::dns::DomainsStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get list of DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of domains.

Implements vmware::appliance::networking::dns::Domains.

void vmware::appliance::networking::dns::DomainsStub::Set | ( | global::System.Collections.Generic.List< string > | domains,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domains | List of domains.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::networking::dns::Domains.

void vmware::appliance::networking::dns::DomainsStub::Set | ( | global::System.Collections.Generic.List< string > | domains | ) | `[inline]`

Set DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domains | List of domains.

Implements vmware::appliance::networking::dns::Domains.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::DomainsStub::SetAsync | ( | global::System.Collections.Generic.List< string > | domains,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domains | List of domains.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::networking::dns::Domains.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::DomainsStub::SetAsync | ( | global::System.Collections.Generic.List< string > | domains | ) | `[inline]`

Set DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domains | List of domains.

Implements vmware::appliance::networking::dns::Domains.

The documentation for this class was generated from the following file:

- DomainsStub.cs